def construct_shell_thickness(mesh,info):
  from Utilitai.partition import *
  import numpy

  meshCA   = MAIL_PY()
  meshCA.FromAster(mesh);
  nonu     = meshCA.dime_maillage[0]
  elnu     = meshCA.dime_maillage[2]
  ncoord   = meshCA.cn
  connect  = meshCA.co
  NodeList = list(meshCA.correspondance_noeuds)
  ElemList = list(meshCA.correspondance_mailles)
  ElemType = list(meshCA.tm)

  print meshCA

  if info>=1:
    print ['info set to %d - print some information.',info]
    print 'number of nodes in group: ',nonu
    print 'number of elements in group: ',elnu
    print 'node list: ',NodeList
    print 'element list: ',ElemList
    print 'element type list: ',ElemType
  if info>=2:
    print ['info set to %d - print some information.',info]
    print 'connection information for coque_3d elements: '
    for ii in xrange(len(connect)):
      tempstr = ['connection information of element %d: ',ii]
      print tempstr,connect[ii]

  # need to count number of shell elements (16: coque_3d) to initialise 'thickness list'
  shellcount = 0
  for ii in xrange(len(ElemList)):
    print ElemType[ii]
    if ElemType[ii]==16:  # select shell (coque_3d) elements
      #print connect[ii]
      shellcount +=1

  ThicknessGroupShell=[]
  thickness = [None]*shellcount
  shellcount = 0
  for ii in xrange(len(ElemList)):
     print 'elementtype: ',ii,ElemType[ii]
     if ElemType[ii]==16:  # select shell coque_3d elements 14:quad8, 16:quad9
      if info:
        print 'elementype: ',ElemType[ii]
      sumxyz = [0.0, 0.0, 0.0]
      ncount = len(connect[ii])    # should be 9 for coque_3d (elementType 16)

      #### determine average y coordinate of elemenent
      for jj in xrange(0,ncount):
        Gnode = connect[ii][jj]    # globalnode = connect[elemii,internal_nodejj]
        sumxyz += ncoord[Gnode]    # this might be written more compact --> for later
      sumxyz /=ncount
      # define your own code for thickness here 
      # thickness now depends on average y coordinate only
      thickness[shellcount] = sumxyz[1]*0.1+0.01  # make thickness depending on average y coordinate
      
      
      ### use centre node of element (tested for quad9 only, should work for tria7 aswell:
      Gnode = connect[ii][-1]       ### centre node coordinate stored in last node number
      meanxyz = ncoord[Gnode]
      thickness[shellcount] = (2.5-meanxyz[1])*0.1+0.01  # make thickness depending on y coordinate (1) of centre node only
      #thickness[shellcount] = meanxyz[1]*0.1+0.01  # make thickness depending on y coordinate of centre node only
      tempth = thickness[shellcount]
      shellcount +=1
      #print 'average xyz - centre point: ',sumxyz,ncoord[Gnode]  #centre point is same average nodes
      ThicknessGroupShell.append({'EPAIS':tempth,'MAILLE':'M%d'%(ii+1)});  ## add 1 for element number Mxx
      print shellcount, tempth 

  if info:
    print 'thicknessGroupShell: ',ThicknessGroupShell

  return ThicknessGroupShell

